Some <inputbox> parameters broken
Closed, ResolvedPublic

Description

The extension has some parameters broken in Wikimedia Fundation project like Wikinews

For the following source wiki code :
<center>
<inputbox>
type=create
preload=Page:Football/Première page
editintro=Page:Football/Intro nouvel article
width=45
defaulttext=Championnat de France 2008/2009 de Ligue x :
bgcolor=#f8f8ff
</inputbox>
</center>

So, I see now two bugs in french wikinews :

  • 'default' parameter is broken and doesn't display text entered
  • The 'createarticle' message is broken, too. The submit button display now : Submit Query instead 'Create Article' from createarticle message in InputBox.i18n.php file.

I think it's a problem about parametring Wikimedia Project : the extension works perfectly in my own wiki.


Version: unspecified
Severity: normal
OS: Linux
Platform: PC
URL: http://fr.wikinews.org/wiki/Page:Football

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz16108.
Grondin created this task.Via LegacyOct 25 2008, 2:19 PM
Grondin added a comment.Via ConduitOct 25 2008, 2:21 PM

screenshot of input box

Attached:

Platonides added a comment.Via ConduitOct 25 2008, 2:24 PM

The 'createarticle' message is not broken. It's not used. 'Submit Query' is the default text on your browser for buttons without caption.
The value attribute is missing: <input name="create" class="createboxButton" type="submit">

Grondin added a comment.Via ConduitOct 25 2008, 2:53 PM

Sorry, With the same code, Inputbox runs perfectly with the same browser in my own wiki. So, the code : input name="create" class="createboxButton" type="submit"> does'nt run on Wikimedia project.

It's really a Wikimedia bug.

Grondin added a comment.Via ConduitOct 25 2008, 2:57 PM

Yesterday, the code run perfectly in french wikinews, it seems it's due to a mediawiki update on Wikimedia project

bzimport added a comment.Via ConduitOct 25 2008, 8:48 PM

paul.copperman wrote:

I think this bug is caused by r42257 which replaces tabs with &#9; entities. For the inputboxes, the following happens:

<input class="createboxInput" name="title" type="hidden"
\tvalue="Test" size="50" />

is converted to

<input class="createboxInput" name="title" type="hidden"
&#9;value="Test" size="50" />

which causes Tidy to remove the value attribute from the tag.

bzimport added a comment.Via ConduitOct 25 2008, 10:12 PM

paul.copperman wrote:

P.S. This also affects en.wikipedia: [[Wikipedia:Articles for creation/Wizard-Ready for submission]] is currently redirecting to the main page, when anons try to submit a new article.
This can be fixed by either removing the tabs from the output at /extensions/inputbox/inputbox.php or by reverting r42257

bzimport added a comment.Via ConduitOct 27 2008, 5:48 PM

paul.copperman wrote:

Patch to remove tabs from inputbox output

adding patch to remove tabs from inputbox form (see comments above)

Attached: inputboxtabs.patch

Ahonc added a comment.Via ConduitOct 27 2008, 8:52 PM

I see the text on the button «Надіслати» (in Ukrainian) and some my friends from Ukrainian Wikipedia see the text «Отправить запрос» (in Russian)

Platonides added a comment.Via ConduitOct 27 2008, 9:26 PM

That's because the value parameter isn'tbeing provided, Anatoliy. The difference lies on your different browsers/browser configurations. Will be fixed with this bug.

TrevorParscal added a comment.Via ConduitOct 27 2008, 9:44 PM

After refactoring the code, this problem has been solved. It ended up that using tidy html combined with using a tag with attributes that span more than one line would result in truncating the attributes which were not on the first line.

MSGJ added a comment.Via ConduitOct 28 2008, 12:45 PM

This problem is still apparent on en.wikipedia. For example, see http://en.wikipedia.org/wiki/Help:Inputbox

TrevorParscal added a comment.Via ConduitOct 28 2008, 4:55 PM

en.wikipedia.org is not using the latest version. The new version does not use tables for instance.

MSGJ added a comment.Via ConduitOct 28 2008, 4:57 PM
TrevorParscal added a comment.Via ConduitOct 28 2008, 5:00 PM

www.mediawiki.org is also not running the latest version. Look at the code it's outputting. The latest version uses divs instead of tables and the style parameter to set the background color instead of bgcolor.

bzimport added a comment.Via ConduitOct 28 2008, 5:01 PM

mike.lifeguard+bugs wrote:

(In reply to comment #13)

Well it's not even working at http://www.mediawiki.org/wiki/Extension:Inputbox

I think what he's trying to say is that the bug has been fixed in SVN, but it has not gone live yet. If that's the case, this should be re-marked as FIXED. Perhaps noting the revision number here so users can compare to Special:Version would be prudent.

bzimport added a comment.Via ConduitOct 28 2008, 5:07 PM

mike.lifeguard+bugs wrote:

Though it's not noted in the commit message, r42662 is the fix.

bzimport added a comment.Via ConduitNov 11 2008, 11:52 AM

soxred93 wrote:

*** Bug 16307 has been marked as a duplicate of this bug. ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.